import QtQuick 1.1
import com.nokia.meego 1.0

JSONListModel{
    id:openModel

    property string date: "2012-11-12"
    property string location: "Mensa"

    property bool  staticMenu : (location.charAt(0)=='$');
    property string _location : staticMenu?location.substring(1,location.length):location;



    source:  staticMenu?"http://www.uni-ulm.de/mensaplan/data/mensaplan_static.json":"http://www.uni-ulm.de/mensaplan/data/mensaplan.json"
    query: staticMenu?"$..days[*].date":"$..days[?(@."+_location+".open)].date"

//    onQueryChanged: {
//        console.log("staticMenu: "+staticMenu);
//        console.log("model.count: "+model.count);
//        console.log(_location);
//        for (var i = 0; i< model.count; i++){
//            console.log(model.get(i).value);
//        }
//    }
}


